Delete multiple detection rules

Base URL
https://{kibana_url}
  • POST also DELETE /api/detection_engine/rules/_bulk_delete
  • POST /s/{space_id}/api/detection_engine/rules/_bulk_delete
Auth Deprecated

Delete detection rules in bulk.

Warning

This API is deprecated and will be removed in Kibana v9.0.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

A JSON array of id or rule_id fields of the rules you want to delete.

<array> object[]
id string · format: uuid

A universally unique identifier

rule_id string

A stable unique identifier for the rule object. It can be assigned during rule creation. It can be any string, but often is a UUID. It should be unique not only within a given Kibana space, but also across spaces and Elastic environments. The same prebuilt Elastic rule, when installed in two different Kibana spaces or two different Elastic environments, will have the same rule_ids.

Responses

Indicates a successful call.

application/json

Response Type: union[]

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}